twitter4j.api

## Interface FavoritesResourcesAsync

All Known Subinterfaces:
  AsyncTwitter

    public interface FavoritesResourcesAsync

Author:
  Joern Huxhorn - jhuxhorn at googlemail.com

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `createFavorite(long id)` Favorites the status specified in the ID parameter as the authenticating user.
`void` `destroyFavorite(long id)` Favorites the status specified in the ID parameter as the authenticating user.
`void` `getFavorites()` Returns the 20 most recent favorite statuses for the authenticating user or user specified by the ID parameter in the requested format.
`void` `getFavorites(long id)` Returns the 20 most recent favorite statuses for the authenticating user or user specified by the ID parameter in the requested format.
`void` `getFavorites(long userId, Paging paging)` Returns the 20 most recent favorite statuses for the authenticating user or user specified by the ID parameter in the requested format.
`void` `getFavorites(Paging paging)` Returns the 20 most recent favorite statuses for the authenticating user or user specified by the ID parameter in the requested format.
`void` `getFavorites(String screenName)` Returns the 20 most recent favorite statuses for the authenticating user or user specified by the ID parameter in the requested format.
`void` `getFavorites(String screenName, Paging paging)` Returns the 20 most recent favorite statuses for the authenticating user or user specified by the ID parameter in the requested format.

### Method Detail

#### getFavorites

    void getFavorites()

Returns the 20 most recent favorite statuses for the authenticating user or user specified by the ID parameter in the requested format.
This method calls https://api.twitter.com/1.1/favorites

Since:
  Twitter4J 2.0.1
See Also:
  GET favorites | Twitter Developers

#### getFavorites

    void getFavorites(long id)

Returns the 20 most recent favorite statuses for the authenticating user or user specified by the ID parameter in the requested format.
This method calls https://api.twitter.com/1.1/favorites

Parameters:
  `id` - the id of the user for whom to request a list of favorite statuses
Since:
  Twitter4J 3.0.0
See Also:
  GET favorites | Twitter Developers

#### getFavorites

    void getFavorites(String screenName)

Returns the 20 most recent favorite statuses for the authenticating user or user specified by the ID parameter in the requested format.
This method calls https://api.twitter.com/1.1/favorites

Parameters:
  `screenName` - the screen name of the user for whom to request a list of favorite statuses
Since:
  Twitter4J 2.0.1
See Also:
  GET favorites | Twitter Developers

#### getFavorites

    void getFavorites(Paging paging)

Returns the 20 most recent favorite statuses for the authenticating user or user specified by the ID parameter in the requested format.
This method calls https://api.twitter.com/1.1/favorites.json

Parameters:
  `paging` - controls pagination. Supports sinceId and page parameters.
Since:
  Twitter4J 2.2.5
See Also:
  GET favorites | Twitter Developers

#### getFavorites

    void getFavorites(long userId,
                      Paging paging)

Returns the 20 most recent favorite statuses for the authenticating user or user specified by the ID parameter in the requested format.
This method calls https://api.twitter.com/1.1/favorites/[id].json

Parameters:
  `userId` - the id of the user for whom to request a list of favorite statuses
  `paging` - controls pagination. Supports sinceId and page parameters.
Since:
  Twitter4J 2.2.5
See Also:
  GET favorites | Twitter Developers

#### getFavorites

    void getFavorites(String screenName,
                      Paging paging)

Returns the 20 most recent favorite statuses for the authenticating user or user specified by the ID parameter in the requested format.
This method calls https://api.twitter.com/1.1/favorites/[id].json

Parameters:
  `screenName` - the screen name of the user for whom to request a list of favorite statuses
  `paging` - controls pagination. Supports sinceId and page parameters.
Since:
  Twitter4J 2.2.5
See Also:
  GET favorites | Twitter Developers

#### createFavorite

    void createFavorite(long id)

Favorites the status specified in the ID parameter as the authenticating user. Returns the favorite status when successful.
This method calls https://api.twitter.com/1.1/favorites/create%C2%A0

Parameters:
  `id` - the ID or screen name of the user for whom to request a list of favorite statuses.
Since:
  1.1.2
See Also:
  POST favorites/create/:id | Twitter Developers

#### destroyFavorite

    void destroyFavorite(long id)

Favorites the status specified in the ID parameter as the authenticating user. Returns the favorite status when successful.
This method calls https://api.twitter.com/1.1/favorites/destroy

Parameters:
  `id` - the ID or screen name of the user for whom to request a list of un-favorite statuses.
Since:
  1.1.2
See Also:
  POST favorites/destroy/:id | Twitter Developers